function assignEvaluation() {
    var a = 5;
    var b, c;
    (b = ((a) * (5)));
    (b = (c = ((b)/(2))));
} // assign: evaluation
function semicolonError() {
    // first example
    console.log('hello world')
    (()=>{
        console.log("hello kitty")
    })()
    // second example
    console.log("hello world")
    [1, 2].forEach(console.log)
} //semicolon: error
function semicolonMistake(){
    let arr = [1,2,345,6];
} // semicolon: mistake
function numberAge() {
    alert(2021 - (prompt('Введите ваш возраст') || 18));
} //Number: age
function numberTemperature() {
    alert(((prompt('Введите температуру в цельсиях') || 0) * 9/5) + 32);
} //Number: temperature
function numberDivide() {
    alert(Math.floor(+prompt('Введите первое число') / +prompt('Введите второе число')));
} //Number: divide
function numberOdd() {
    let num = +prompt('Введите число', '0');
    (!isNaN(num) ? alert((num % 2 === 0) ? 'Число четное' : 'Число нечетное') : alert('Не верно введёное число!'));
} // Number: odd
function stringGreeting() {
    alert('Привет ' + prompt('Как вас зовут?'));
} //String: greeting
function stringLexics() {
    let str = prompt('Введите текст:');
    let arr = ['слово1', 'слово2', 'слово3', 'слово4'];
    alert(arr.some((i => str.includes(i))));
} //String: lexics
function confirms() {
    alert(typeof confirm('Вы изучаете js? Да true, отмена false'));
} // confirm
function boolean() {
    let res = confirm("Вы женщина?");
} // Boolean
function booleanIf() {
    let res = confirm("Вы женщина?");
    if (res === true){
        alert('Вы женщина');
    }
    else {
        alert('Вы мужчина');
    }
} // Boolean: if
function arrayReal() {
    let arrExample = ['computer','phone','tablet','headphones','portable'];
} // Array: real
function arrayBooleans() {
    let arr = [];
    let i = 0;
    while (i < 5){
        arr[i++] = confirm("Вы женщина?");
    }
    alert(arr);
} // Array: booleans
function arrayPlus() {
    let arr = [1, 2, 7];
    arr[2] = arr[0]+arr[1];
    alert(arr);
} // Array: plus
function arrayPlusString() {
    alert(["Hello", 'in', 'World'].join(' '));
} // Array: plus string
function objectReal() {
    let phone = {
        company: 'Apple',
        model: '7',
        storage: 128,
        defaultPrograms: {
            video: 'youtube',
            browser: 'safari',
        },
        camera: '20mpx',
    }
    alert(phone);
} // Object: real
function objectChange() {
    let phone = {
        company: 'Apple',
        model: '7',
        storage: 128,
        defaultPrograms: {
            video: 'youtube',
            browser: 'safari',
        },
        camera: '20mpx',
    }
    alert(phone);
    phone.company = 'samsung';
    phone['model'] = 's10';
    alert(phone);
} // Object: change
function comparisonIf() {
    let age = +prompt("Сколько вам лет?","");
    if (age > 0 && age < 18){
        alert("школьник");
    }
    else {
        if (age < 30){
            alert("молодеж");
        }
        else {
            if (age < 45){
                alert("зрелость");
            }
            else {
                if (age < 60){
                    alert("закат");
                }
                else {
                    if (age > 60){
                        alert("как пенсия?");
                    }
                    else {
                        alert("то ли киборг, то ли ошибка");
                    }
                }
            }
        }
    }
} // Comparison if
function comparisonSizes() {
    let sizeRu = +prompt('Введите размер верхней одежды в нашей системе размеров', '40');
    let arrRu = [40];
    let arrUS = [6];
    for (let i = 0; i < 7; i++){
        arrRu.push(arrRu[i] + 2);
        arrUS.push(arrUS[i] + 2);
    }
    if (!isNaN(sizeRu)){
        alert(arrUS[arrRu.indexOf(sizeRu)]);
    }
} // Comparison: sizes
function comparisonObject() {
    let sizeRu = +prompt('Введите размер верхней одежды в нашей системе размеров', '40');
    let obj = {
        arrRu: [40],
        arrUS: [6],
    }
    for (let i = 0; i < 7; i++){
        obj.arrRu.push(obj.arrRu[i] + 2);
        obj.arrUS.push(obj.arrUS[i] + 2);
    }
    if (!isNaN(sizeRu)){
        alert(obj.arrUS[obj.arrRu.indexOf(sizeRu)]);
    }
} // Comparison: object
function ternary() {
    alert(confirm('Вы мужчина?') ? 'Вы мужчина' : 'Вы женщина');
} // Ternary
function numberFlats() {
    let countFloors = +prompt('Введите количество этажей', '');
    let countApartments = +prompt('Введите количество квартир на этаж', '');
    let numberApartment = +prompt('Введите номер квартиры', '');
    if (!isNaN(countFloors) && !isNaN(countApartments) && !isNaN(numberApartment)){
        let entrance = Math.ceil(numberApartment / (countFloors * countApartments));
        let endsApartment = numberApartment % (countFloors * countApartments);
        let floor = Math.ceil(endsApartment / countApartments);
        alert(`Этаж ${floor}, подъезд ${entrance}`);
    }
    else {
        alert('Введите коректные данные!!!');
    }
} // Number: flats